Bug 509670 - Review Request: compat-libgdamm - compat libs for libgdamm-3
Review Request: compat-libgdamm - compat libs for libgdamm-3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 509744
  Show dependency treegraph
 
Reported: 2009-07-04 17:53 EDT by Hicham HAOUARI
Modified: 2009-08-07 01:07 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.0.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 01:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 leigh scott 2009-07-04 18:16:51 EDT
You will need to fix this.

[leigh@localhost Desktop]$ rpmlint '/home/leigh/Desktop/compat-libgdamm-3.0.1-2.fc11.src.rpm' 
error checking signature of /home/leigh/Desktop/compat-libgdamm-3.0.1-2.fc11.src.rpm
compat-libgdamm.src: W: mixed-use-of-spaces-and-tabs (spaces: line 27, tab: line 1)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[leigh@localhost Desktop]$
Comment 3 Kevin Fenzi 2009-07-08 23:37:56 EDT
Hey. Per our conversation on IRC, I will take a look at reviewing this package and sponsoring you. 

I'm adding spot here in CC. He's the maintainer of the current libgdamm package.
I just want to make sure he has no objection to you maintaining a compat package here. ;) 

Look for a review in a bit.
Comment 4 Tom "spot" Callaway 2009-07-09 08:23:58 EDT
Compat libs of libgdamm are needed for what exactly?
Comment 5 Hicham HAOUARI 2009-07-09 08:28:01 EDT
compat libs of libgdamm are needed for solang :

https://bugzilla.redhat.com/show_bug.cgi?id=509744
Comment 6 Tom "spot" Callaway 2009-07-09 09:18:14 EDT
After discussion on IRC, I have no problems with the existence of a compat-libgdamm, as long as it is properly end-of-lifed when it is no longer needed by solang, under the assumption that solang will eventually move to the libgdamm 4.0 API.
Comment 7 Kevin Fenzi 2009-07-12 22:33:11 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
63583ec970e643962474401400e19994  libgdamm-3.0.1.tar.bz2
63583ec970e643962474401400e19994  libgdamm-3.0.1.tar.bz2.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Doc subpackage needed/used. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage. 
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have subpackages require base package with fully versioned depend. 
OK - Should have dist tag
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

compat-libgdamm-devel.x86_64: W: no-documentation

This can be ignored. 

I don't see any blockers here, so this package is APPROVED.
Comment 8 Hicham HAOUARI 2009-07-12 22:50:38 EDT
New Package CVS Request
=======================
Package Name: compat-libgdamm
Short Description: C++ wrappers for libgda3
Owners: hicham
Branches: F-11
InitialCC: hicham
Comment 9 Kevin Fenzi 2009-07-14 00:47:06 EDT
cvs done.
Comment 10 Fedora Update System 2009-07-19 06:15:27 EDT
compat-libgdamm-3.0.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update compat-libgdamm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7733
Comment 11 Fedora Update System 2009-08-07 01:07:14 EDT
compat-libgdamm-3.0.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.